Index: BOOK/cross-tools/mips/linux-headers.xml
===================================================================
--- BOOK/cross-tools/mips/linux-headers.xml	(revision 99fc8916aecfa33ab814f9f0b4aee608fad431d9)
+++ BOOK/cross-tools/mips/linux-headers.xml	(revision 33bc2cbe05d1043569607bdc1d40f4e817aae3e1)
@@ -15,30 +15,25 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <para>The Linux Headers package contains the
-    <quote>sanitized</quote> kernel headers.</para>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/linux-headers.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
     <title>Installation of Linux Headers</title>
 
-    <para os="a">For years it has been common practice to use
-    <quote>raw</quote> kernel headers (straight from a kernel tarball) in
-    <filename class="directory">/usr/include</filename>, but over the last few
-    years, the kernel developers have taken a strong stance that this
-    should not be done. This gave birth to the Linux-Libc-Headers Project,
-    which was designed to maintain an API stable version of the Linux
-    headers. Recently this project stopped producing updates, so the Cross-LFS
-    team started development on our own project to sanitize the headers.</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/linux-headers.xml"
+  xpointer="xpointer(//*[@os='a'])"/>
 
-    <para os="b">Install the header files that are common to all architectures:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/linux-headers.xml"
+  xpointer="xpointer(//*[@os='b'])"/>
 
 <screen os="c"><userinput>install -dv ${CLFS}/usr/include
 cp -av include/{asm-generic,linux,mtd,scsi,sound} ${CLFS}/usr/include</userinput></screen>
 
-    <para os="d">Install the header files that are specific to this architecture:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/linux-headers.xml"
+  xpointer="xpointer(//*[@os='d'])"/>
 
 <screen><userinput>cp -av include/asm-mips ${CLFS}/usr/include/asm</userinput></screen>
@@ -46,35 +41,9 @@
   </sect2>
 
-  <sect2 id="contents-linux-headers" role="content">
-    <title>Contents of Linux-Headers</title>
-
-    <segmentedlist>
-      <segtitle>Installed headers</segtitle>
-
-      <seglistitem>
-        <seg>/usr/include/{asm,linux}/*.h</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="linux-headers">
-        <term><filename
-        class="headerfile">/usr/include/{asm,linux}/*.h</filename></term>
-        <listitem>
-          <para>The Linux API headers</para>
-          <indexterm zone="ch-system-linux-headers linux-headers">
-            <primary
-            sortas="e-/usr/include/{asm,linux}/*.h">/usr/include/{asm,linux}/*.h</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/linux-headers.xml"
+  xpointer="xpointer(//*[@role='content'])"/>
 
 </sect1>
+
+
Index: BOOK/cross-tools/mips/uclibc-headers.xml
===================================================================
--- BOOK/cross-tools/mips/uclibc-headers.xml	(revision 99fc8916aecfa33ab814f9f0b4aee608fad431d9)
+++ BOOK/cross-tools/mips/uclibc-headers.xml	(revision 33bc2cbe05d1043569607bdc1d40f4e817aae3e1)
@@ -47,10 +47,7 @@
   xpointer="xpointer(//*[@os='f'])"/>
 
-<screen os="d1"><userinput>cp .config .config.orig
-sed -e "/^KERNEL_SOURCE/s:=.*:=\"${CLFS}/usr\":" \
-    -e "/^SHARED_LIB_LOADER_PREFIX/s:=.*:=\"/lib\":" \
-    -e "/^DEVEL_PREFIX/s:=.*:=\"/usr\":" \
-    -e "/^RUNTIME_PREFIX/s:=.*:=\"/\":" \
-    .config.orig > .config</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc-headers.xml"
+  xpointer="xpointer(//*[@os='d1'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -62,5 +59,7 @@
   xpointer="xpointer(//*[@os='i'])"/>
 
-   <para os="d2">Create the Headers:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc-headers.xml"
+  xpointer="xpointer(//*[@os='d2'])"/>
 
 <screen os="d3"><userinput>make TARGET_ARCH=mips headers</userinput></screen>
@@ -78,5 +77,7 @@
   xpointer="xpointer(//*[@os='n'])"/>
 
-<screen os="d5"><userinput>cp -a include/* ${CLFS}/usr/include</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc-headers.xml"
+  xpointer="xpointer(//*[@os='d5'])"/>
 
   </sect2>
Index: BOOK/cross-tools/mips/uclibc.xml
===================================================================
--- BOOK/cross-tools/mips/uclibc.xml	(revision 99fc8916aecfa33ab814f9f0b4aee608fad431d9)
+++ BOOK/cross-tools/mips/uclibc.xml	(revision 33bc2cbe05d1043569607bdc1d40f4e817aae3e1)
@@ -16,104 +16,79 @@
   </indexterm>
 
-  <sect2 role="package">
-    <title/>
-
-    <para>The uClibc package contains the main C library. This library provides
-    the basic routines for allocating memory, searching directories, opening and
-    closing files, reading and writing files, string handling, pattern matching,
-    arithmetic, and so on.</para>
-
-    <para>THIS IS JUST A PLACEHOLDER, YOU *WILL* NEED TO DO 'make menuconfig' SELECT MIPS ARCHITECTURE AND THE SPECIFIC MIPS YOU ARE USING!</para>
-
-  </sect2>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
 
   <sect2 role="installation">
     <title>Installation of uClibc</title>
 
-    <para os="a">Since we are cross-compiling, we need to make sure when we
-    configuration for our architecture we get the correct information. The
-    following sed makes sure we are using the proper settings for our
-    architecture: (This is a place holder for the other architectures). Make sure you select the MIPS architecture and the correct processor/endianness.</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>make menuconfig</userinput></screen>
+<screen os="b"><userinput>cp extra/Configs/Config.in extra/Configs/Config.in.orig
+sed -e "s:default TARGET_i386:default TARGET_mips:" \
+   extra/Configs/Config.in.orig > extra/Configs/Config.in</userinput></screen>
 
-    <note os="c">
-      <para>Below we are just telling uClibc to use the default configuration of
-      uClibc. For those for more adventureous, you can use make menuconfig, and
-      do a more custom build of your uClibc.</para>
-    </note>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='c'])"/>
 
-    <para os="d">Create default configuration:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='d'])"/>
 
-<screen os="e"><userinput>make defconfig</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='e'])"/>
 
-   <para os="f">We will need to edit the configuration file, to make sure everything gets
-   compiled and put into it's proper locations:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='f'])"/>
 
-<screen os="g"><userinput>cp .config .config.orig
-sed -e "/^CROSS_COMPILER_PREFIX/s:=.*:=\"${CLFS_TARGET}-\":" \
-    -e "/^KERNEL_SOURCE/s:=.*:=\"${CLFS}/usr\":" \
-    -e "/^SHARED_LIB_LOADER_PREFIX/s:=.*:=\"/lib\":" \
-    -e "/^DEVEL_PREFIX/s:=.*:=\"/usr\":" \
-    -e "/^RUNTIME_PREFIX/s:=.*:=\"/\":" \
-    .config.orig > .config</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='g'])"/>
 
-    <para os="h">We will need to make sure that some settings in uClibc are set so we
-    can utilize all the features of BusyBox:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='h'])"/>
 
-<screen os="i"><userinput>UCLIBC_OPTIONS="DO_C99_MATH UCLIBC_HAS_RPC UCLIBC_HAS_CTYPE_CHECKED UCLIBC_HAS_WCHAR UCLIBC_HAS_HEXADECIMAL_FLOATS
-                UCLIBC_HAS_FOPEN_EXCLUSIVE_MODE UCLIBC_HAS_PRINTF_M_SPEC UCLIBC_HAS_FTW UCLIBC_HAS_IPV6"
-for config in $UCLIBC_OPTIONS; do
-        cp .config .config.orig
-        sed -e "s:# ${config} is not set:${config}=y:" .config.orig > .config
-done
-echo "UCLIBC_HAS_FULL_RPC=y" >> .config</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='i'])"/>
 
-    <para os="j">Compile the package:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='j'])"/>
 
-<screen os="k"><userinput>make</userinput></screen>
+<screen os="k"><userinput>make TARGET_ARCH=mips</userinput></screen>
 
-   <para os="l">We will remove the files that were copied over from our Linux Headers during
-   the building of uClibc. These files were copied into the include directory of the source
-   directory of uClibc:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='l'])"/>
 
-<screen os="m"><userinput>rm include/{asm,asm-generic,linux}</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='m'])"/>
 
-    <para os="n">Install the package:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='n'])"/>
 
-<screen os="o"><userinput>make PREFIX=${CLFS} install</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/uclibc.xml"
+  xpointer="xpointer(//*[@os='o'])"/>
 
   </sect2>
 
-  <sect2 id="contents-uclibc" role="content">
-    <title>Contents of uClibc</title>
+  <sect2 role="content" id="contents-uclibc">
+    <title/>
 
-    <segmentedlist>
-      <segtitle>Installed uClibc</segtitle>
-
-      <seglistitem>
-        <seg>To Be Written</seg>
-      </seglistitem>
-    </segmentedlist>
-<!--
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-     <varlistentry id="uclibc">
-        <term><filename
-        class="headerfile">/usr/include/{asm,linux}/*.h</filename></term>
-        <listitem>
-          <para>The Linux API headers</para>
-          <indexterm zone="ch-system-linux-headers linux-headers">
-            <primary
-            sortas="e-/usr/include/{asm,linux}/*.h">/usr/include/{asm,linux}/*.h</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-    </variablelist>
--->
+    <para>Details on this package are located in <xref
+    linkend="contents-uclibc" role="."/></para>
 
   </sect2>
+
 </sect1>
+
Index: BOOK/cross-tools/mips/variables.xml
===================================================================
--- BOOK/cross-tools/mips/variables.xml	(revision 99fc8916aecfa33ab814f9f0b4aee608fad431d9)
+++ BOOK/cross-tools/mips/variables.xml	(revision 33bc2cbe05d1043569607bdc1d40f4e817aae3e1)
@@ -13,26 +13,27 @@
   <bridgehead renderas="sect4">Setting Host and Target</bridgehead>
 
-  <para os="a">During the building of the cross-compile tools you will need to
-  set a few variables that will be dependent on your particular needs.
-  The first variable will be the triplet of the <envar>HOST</envar> machine.
-  You will need to set the <envar>CHOST</envar> triplet to match your
-  particular needs. To set this information you can issue the following
-  command:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/variables.xml"
+  xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>export CLFS_HOST="$(echo $MACHTYPE | sed "s/$(echo $MACHTYPE | cut -d- -f2)/cross/")"</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/variables.xml"
+  xpointer="xpointer(//*[@os='b'])"/>
 
-  <para os="c">Now you will need to set the target triplet for the target
-  architecture. You can do this by running the same command as above, just
-  running it on the target machine. If you can't run the command on the
-  target machine, you can use the table at the bottom of this page. Set
-  the command using the method listed below:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/variables.xml"
+  xpointer="xpointer(//*[@os='c'])"/>
 
-<screen os="d"><userinput>export CLFS_TARGET="{target tripplet}"</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/variables.xml"
+  xpointer="xpointer(//*[@os='d'])"/>
 
-  <para os="e">Now we will add these to <filename>~/.bashrc</filename>, just in
-  case you have to exit and restart building later:</para>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/variables.xml"
+  xpointer="xpointer(//*[@os='e'])"/>
 
-<screen os="f"><userinput>echo export CLFS_HOST=\""${CLFS_HOST}\"" &gt;&gt; ~/.bashrc
-echo export CLFS_TARGET=\""${CLFS_TARGET}\"" &gt;&gt; ~/.bashrc</userinput></screen>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../x86/variables.xml"
+  xpointer="xpointer(//*[@os='f'])"/>
 
   <table os="g">
Index: BOOK/introduction/mips-chapter.xml
===================================================================
--- BOOK/introduction/mips-chapter.xml	(revision 99fc8916aecfa33ab814f9f0b4aee608fad431d9)
+++ BOOK/introduction/mips-chapter.xml	(revision 33bc2cbe05d1043569607bdc1d40f4e817aae3e1)
@@ -22,7 +22,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/resources.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/askforhelp.xml"/>
-  <!-- This page is only for published versions if the LiveCD is included
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/livecd.xml"/>
-  -->
 
 </chapter>
Index: OK/introduction/mips/livecd.xml
===================================================================
--- BOOK/introduction/mips/livecd.xml	(revision 99fc8916aecfa33ab814f9f0b4aee608fad431d9)
+++ 	(revision )
@@ -1,106 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-intro-bootcd" arch="arm">
-  <?dbhtml filename="bootcd.html"?>
-
-  <title>About the Included CD</title>
-
-  <para>For your convenience, we have included a CD with this book that
-  contains the source packages needed for creating a Linux From Scratch
-  system.  The CD is bootable and provides a stable working environment
-  for building LFS.  This book refers to this system as the
-  <quote>host system.</quote>  The CD images are actively maintained and
-  updated versions can be found at
-  <ulink url="ftp://ftp.lfs-matrix.de/pub/lfs-livecd/"/></para>
-
-  <para>In addition to the tools required to build LFS, the host system
-  on the CD has a number of other helpful tools installed:</para>
-
-  <itemizedlist>
-
-    <listitem>
-      <para>An HTML version of this book</para>
-    </listitem>
-
-    <listitem>
-      <para>The X Window System Environment</para>
-    </listitem>
-
-    <listitem>
-      <para>Web Tools</para>
-      <itemizedlist>
-        <listitem>
-          <para>Wget (command line file retriever)</para>
-        </listitem>
-        <listitem>
-          <para>Lynx (text web browser)</para>
-        </listitem>
-        <listitem>
-          <para>Irssi (console IRC client)</para>
-        </listitem>
-        <listitem>
-          <para>Firefox (graphical web browser)</para>
-        </listitem>
-        <listitem>
-          <para>Xchat (X-based IRC client)</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>Text Editors</para>
-      <itemizedlist>
-        <listitem>
-          <para>Vim</para>
-        </listitem>
-        <listitem>
-          <para>Nano</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>Network Tools</para>
-      <itemizedlist>
-        <listitem>
-          <para>SSH Server and Client</para>
-        </listitem>
-        <listitem>
-          <para>NFS Server and Client</para>
-        </listitem>
-        <listitem>
-          <para>Smbmount (mount.cifs) for Windows shares</para>
-        </listitem>
-        <listitem>
-          <para>Subversion</para>
-        </listitem>
-        <listitem>
-          <para>Dhcpcd (DHCP client)</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>Filesystem Programs</para>
-      <itemizedlist>
-        <listitem>
-          <para>Reiserfsprogs</para>
-        </listitem>
-        <listitem>
-          <para>Xfsprogs</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>nALFS - A tool for automating LFS builds</para>
-    </listitem>
-
-  </itemizedlist>
-
-</sect1>
Index: BOOK/stylesheets/top-index.xsl
===================================================================
--- BOOK/stylesheets/top-index.xsl	(revision 99fc8916aecfa33ab814f9f0b4aee608fad431d9)
+++ BOOK/stylesheets/top-index.xsl	(revision 33bc2cbe05d1043569607bdc1d40f4e817aae3e1)
@@ -116,5 +116,5 @@
             <h4>
               <a href="mips">
-                <xsl:text>mips</xsl:text>
+                <xsl:text>MIPS</xsl:text>
               </a>
             </h4>