Index: patches/eglibc-2.13-r13356-dl_dep_fix-1.patch
===================================================================
--- patches/eglibc-2.13-r13356-dl_dep_fix-1.patch	(revision 9d2405fef1e97c7ebf3bf4c9d9f51e311e4f6509)
+++ 	(revision )
@@ -1,32 +1,0 @@
-Submitted By: Joe Ciccone <jciccone@gmail.com>
-Date: 2011-04-16
-Initial Package Version: 2.13 r13356
-Origin: Andreas Schwab
-        Via http://sourceware.org/ml/libc-hacker/2011-02/msg00002.html
-Upstream Status: Unknown, In Bugzilla
-Description: If a ELF binaries dependencies are missing it was causing
-             a signal too early.
-
-diff -Naur eglibc-2.13.orig/elf/dl-deps.c eglibc-2.13/elf/dl-deps.c
---- eglibc-2.13.orig/elf/dl-deps.c	2011-02-04 22:31:21.000000000 +0000
-+++ eglibc-2.13/elf/dl-deps.c	2011-04-16 23:44:34.479218974 +0000
-@@ -491,6 +491,10 @@
-   if (errno == 0 && errno_saved != 0)
-     __set_errno (errno_saved);
- 
-+  if (errno_reason)
-+    _dl_signal_error (errno_reason == -1 ? 0 : errno_reason, objname,
-+		      NULL, errstring);
-+
-   struct link_map **old_l_initfini = NULL;
-   if (map->l_initfini != NULL && map->l_type == lt_loaded)
-     {
-@@ -683,8 +687,4 @@
-     }
-   if (old_l_initfini != NULL)
-     _dl_scope_free (old_l_initfini);
--
--  if (errno_reason)
--    _dl_signal_error (errno_reason == -1 ? 0 : errno_reason, objname,
--		      NULL, errstring);
- }
Index: patches/eglibc-2.15-r16526-dl_dep_fix-1.patch
===================================================================
--- patches/eglibc-2.15-r16526-dl_dep_fix-1.patch	(revision 35e7499393d6a5d5b81b95549e6275f61efe7325)
+++ patches/eglibc-2.15-r16526-dl_dep_fix-1.patch	(revision 35e7499393d6a5d5b81b95549e6275f61efe7325)
@@ -0,0 +1,33 @@
+Submitted By: Jonathan Norman (jonathan at bluesquarelinux dot co dot uk)
+Date: 2012-02-26
+Initial Package Version: 2.15 r16526
+Origin: Andreas Schwab
+        Via http://sourceware.org/ml/libc-hacker/2011-02/msg00002.html
+Upstream Status: Unknown, In Bugzilla
+Description: If a ELF binaries dependencies are missing it was causing
+             a signal too early.
+Rediffed by Jonathan Norman for Eglibc 2.15
+
+
+diff -Naur eglibc-2.15.orig/elf/dl-deps.c eglibc-2.15/elf/dl-deps.c
+--- eglibc-2.15.orig/elf/dl-deps.c	2012-02-26 17:15:55.394189832 +0000
++++ eglibc-2.15/elf/dl-deps.c	2012-02-26 17:21:48.882756229 +0000
+@@ -502,6 +502,10 @@
+   if (errno == 0 && errno_saved != 0)
+     __set_errno (errno_saved);
+ 
++  if (errno_reason)
++    _dl_signal_error (errno_reason == -1 ? 0 : errno_reason, objname,
++                     NULL, errstring);
++
+   struct link_map **old_l_initfini = NULL;
+   if (map->l_initfini != NULL && map->l_type == lt_loaded)
+     {
+@@ -699,7 +703,4 @@
+   if (old_l_initfini != NULL)
+       map->l_orig_initfini = old_l_initfini;
+ 
+-  if (errno_reason)
+-    _dl_signal_error (errno_reason == -1 ? 0 : errno_reason, objname,
+-		      NULL, errstring);
+ }
Index: patches/iproute2-2.6.38-libdir-1.patch
===================================================================
--- patches/iproute2-2.6.38-libdir-1.patch	(revision 9d2405fef1e97c7ebf3bf4c9d9f51e311e4f6509)
+++ 	(revision )
@@ -1,52 +1,0 @@
-Submitted By: Joe Ciccone <jciccone@gmail.com>
-Date: 14-06-2010
-Initial Package Version: 2.6.18
-Upstream Status: Unknown
-Origin: Joe Ciccone
-Description: This patch gives the ability to change the libdir.
-             Updated for Iproute2-2.6.28 by Jim Gifford
-             Updated for Iproute2-2.6.34 by Joe Ciccone
-             Updated for Iproute2-2.6.37 by Joe Ciccone
-             Renamed for Iproute2-2.6.38 by Jonathan Norman
-
-diff -Naur iproute2-2.6.37.orig/Makefile iproute2-2.6.37/Makefile
---- iproute2-2.6.37.orig/Makefile	2011-01-07 12:54:30.000000000 -0500
-+++ iproute2-2.6.37/Makefile	2011-01-08 19:22:59.954895722 -0500
-@@ -12,7 +12,7 @@
- 
- SHARED_LIBS = y
- 
--DEFINES= -DRESOLVE_HOSTNAMES -DLIBDIR=\"$(LIBDIR)\"
-+DEFINES= -DRESOLVE_HOSTNAMES -DLIBDIR=\"$(LIBDIR)\" -DARPDDIR=\"$(ARPDDIR)\"
- ifneq ($(SHARED_LIBS),y)
- DEFINES+= -DNO_SHARED_LIBS
- endif
-diff -Naur iproute2-2.6.37.orig/include/iptables.h iproute2-2.6.37/include/iptables.h
---- iproute2-2.6.37.orig/include/iptables.h	2011-01-07 12:54:30.000000000 -0500
-+++ iproute2-2.6.37/include/iptables.h	2011-01-08 19:22:59.954895722 -0500
-@@ -4,8 +4,12 @@
- #include "iptables_common.h"
- #include "libiptc/libiptc.h"
- 
-+#ifndef LIBDIR
-+#define LIBDIR "/usr/lib"
-+#endif
-+
- #ifndef IPT_LIB_DIR
--#define IPT_LIB_DIR "/usr/local/lib/iptables"
-+#define IPT_LIB_DIR LIBDIR "/iptables"
- #endif
- 
- #ifndef IPPROTO_SCTP
-diff -Naur iproute2-2.6.37.orig/misc/arpd.c iproute2-2.6.37/misc/arpd.c
---- iproute2-2.6.37.orig/misc/arpd.c	2011-01-07 12:54:30.000000000 -0500
-+++ iproute2-2.6.37/misc/arpd.c	2011-01-08 19:22:59.954895722 -0500
-@@ -40,7 +40,7 @@
- int resolve_hosts;
- 
- DB	*dbase;
--char	*dbname = "/var/lib/arpd/arpd.db";
-+char	*dbname = ARPDDIR "/arpd.db";
- 
- int	ifnum;
- int	*ifvec;
Index: patches/iproute2-3.2.0-libdir-1.patch
===================================================================
--- patches/iproute2-3.2.0-libdir-1.patch	(revision 35e7499393d6a5d5b81b95549e6275f61efe7325)
+++ patches/iproute2-3.2.0-libdir-1.patch	(revision 35e7499393d6a5d5b81b95549e6275f61efe7325)
@@ -0,0 +1,52 @@
+Submitted By: Joe Ciccone <jciccone@gmail.com>
+Date: 14-06-2010
+Initial Package Version: 2.6.18
+Upstream Status: Unknown
+Origin: Joe Ciccone
+Description: This patch gives the ability to change the libdir.
+             Updated for Iproute2-2.6.28 by Jim Gifford
+             Updated for Iproute2-2.6.34 by Joe Ciccone
+             Updated for Iproute2-2.6.37 by Joe Ciccone
+             Renamed for Iproute2-2.6.38 by Jonathan Norman
+
+diff -Naur iproute2-2.6.37.orig/Makefile iproute2-2.6.37/Makefile
+--- iproute2-2.6.37.orig/Makefile	2011-01-07 12:54:30.000000000 -0500
++++ iproute2-2.6.37/Makefile	2011-01-08 19:22:59.954895722 -0500
+@@ -12,7 +12,7 @@
+ 
+ SHARED_LIBS = y
+ 
+-DEFINES= -DRESOLVE_HOSTNAMES -DLIBDIR=\"$(LIBDIR)\"
++DEFINES= -DRESOLVE_HOSTNAMES -DLIBDIR=\"$(LIBDIR)\" -DARPDDIR=\"$(ARPDDIR)\"
+ ifneq ($(SHARED_LIBS),y)
+ DEFINES+= -DNO_SHARED_LIBS
+ endif
+diff -Naur iproute2-2.6.37.orig/include/iptables.h iproute2-2.6.37/include/iptables.h
+--- iproute2-2.6.37.orig/include/iptables.h	2011-01-07 12:54:30.000000000 -0500
++++ iproute2-2.6.37/include/iptables.h	2011-01-08 19:22:59.954895722 -0500
+@@ -4,8 +4,12 @@
+ #include "iptables_common.h"
+ #include "libiptc/libiptc.h"
+ 
++#ifndef LIBDIR
++#define LIBDIR "/usr/lib"
++#endif
++
+ #ifndef IPT_LIB_DIR
+-#define IPT_LIB_DIR "/usr/local/lib/iptables"
++#define IPT_LIB_DIR LIBDIR "/iptables"
+ #endif
+ 
+ #ifndef IPPROTO_SCTP
+diff -Naur iproute2-2.6.37.orig/misc/arpd.c iproute2-2.6.37/misc/arpd.c
+--- iproute2-2.6.37.orig/misc/arpd.c	2011-01-07 12:54:30.000000000 -0500
++++ iproute2-2.6.37/misc/arpd.c	2011-01-08 19:22:59.954895722 -0500
+@@ -40,7 +40,7 @@
+ int resolve_hosts;
+ 
+ DB	*dbase;
+-char	*dbname = "/var/lib/arpd/arpd.db";
++char	*dbname = ARPDDIR "/arpd.db";
+ 
+ int	ifnum;
+ int	*ifvec;
Index: patches/perl-5.14.0-Configure_multilib-1.patch
===================================================================
--- patches/perl-5.14.0-Configure_multilib-1.patch	(revision 9d2405fef1e97c7ebf3bf4c9d9f51e311e4f6509)
+++ 	(revision )
@@ -1,42 +1,0 @@
-Submitted By: Ryan Oliver <ryan dot oliver at pha dot com dot au>
-Date: 2010-08-01
-Initial Package Version: 5.8.8
-Origin: Ryan Oliver
-Upstream Status: Unknown
-Description: This patch allows perl to be installed in /usr/lib32
-             or /usr/lib64 instead of /usr/lib.
-
-Rediffed: Against 5.10.0 by Joe Ciccone on 2008-08-30
-          Against 5.10.1 By Jim Gifford on 2009-08-25
-          Against 5.12.1 By Joe Ciccone on 2010-08-01
-
-diff -Naur perl-5.12.1.orig/Configure perl-5.12.1/Configure
---- perl-5.12.1.orig/Configure	2010-05-13 18:01:07.000000000 -0400
-+++ perl-5.12.1/Configure	2010-08-01 18:18:19.614326794 -0400
-@@ -6254,6 +6254,8 @@
- : The default "style" setting is made in installstyle.U
- case "$installstyle" in
- *lib/perl5*) set dflt privlib lib/$package/$version ;;
-+*lib32/perl5*) set dflt privlib lib32/$package/$version ;;
-+*lib64/perl5*) set dflt privlib lib64/$package/$version ;;
- *)	 set dflt privlib lib/$version ;;
- esac
- eval $prefixit
-@@ -6502,6 +6504,8 @@
- case "$sitelib" in
- '') case "$installstyle" in
- 	*lib/perl5*) dflt=$siteprefix/lib/$package/site_$prog/$version ;;
-+	*lib32/perl5*) dflt=$siteprefix/lib32/$package/site_$prog/$version ;;
-+	*lib64/perl5*) dflt=$siteprefix/lib64/$package/site_$prog/$version ;;
- 	*)	 dflt=$siteprefix/lib/site_$prog/$version ;;
- 	esac
- 	;;
-@@ -7020,6 +7024,8 @@
- 		prog=`echo $package | $sed 's/-*[0-9.]*$//'`
- 		case "$installstyle" in
- 		*lib/perl5*) dflt=$vendorprefix/lib/$package/vendor_$prog/$version ;;
-+		*lib32/perl5*) dflt=$vendorprefix/lib32/$package/vendor_$prog/$version ;;
-+		*lib64/perl5*) dflt=$vendorprefix/lib64/$package/vendor_$prog/$version ;;
- 		*)	     dflt=$vendorprefix/lib/vendor_$prog/$version ;;
- 		esac
- 		;;
Index: patches/perl-5.14.0-libc-1.patch
===================================================================
--- patches/perl-5.14.0-libc-1.patch	(revision 9d2405fef1e97c7ebf3bf4c9d9f51e311e4f6509)
+++ 	(revision )
@@ -1,39 +1,0 @@
-Submitted By: Jonathan Norman <Jonathan at bluesquarelinux.co.uk>
-Date: 2011-05-17
-Initial Package Version: 5.8.8
-Origin: Ryan Oliver
-Upstream Status: Unknown
-Description: This patch adapts some hard-wired paths to the C library.
-             It uses the $prefix variable to locate the correct libc.
-
-Rediffed: Against 5.10.0 by Joe Ciccone on 2008-08-30
-          Against 5.10.1 By Jim Gifford on 2009-08-25
-          Against 5.12.1 By Joe Ciccone on 2010-08-01
-          Against 5.14.0 By Jonathan Norman on 2011-05-17
-
-diff -Naur perl-5.14.0.orig/hints/linux.sh perl-5.14.0/hints/linux.sh
---- perl-5.14.0.orig/hints/linux.sh	2011-05-17 10:15:25.836817125 +0000
-+++ perl-5.14.0/hints/linux.sh	2011-05-17 10:17:15.472650338 +0000
-@@ -63,9 +63,9 @@
- # We don't use __GLIBC__ and  __GLIBC_MINOR__ because they
- # are insufficiently precise to distinguish things like
- # libc-2.0.6 and libc-2.0.7.
--if test -L /lib/libc.so.6; then
--    libc=`ls -l /lib/libc.so.6 | awk '{print $NF}'`
--    libc=/lib/$libc
-+if test -L ${prefix}/lib/libc.so.6; then
-+    libc=`ls -l ${prefix}/lib/libc.so.6 | awk '{print $NF}'`
-+    libc=${prefix}/lib/$libc
- fi
- 
- # Configure may fail to find lstat() since it's a static/inline
-@@ -461,3 +461,9 @@
-     libswanted="$libswanted pthread"
-     ;;
- esac
-+
-+locincpth=""
-+loclibpth=""
-+glibpth="${prefix}/lib"
-+usrinc="${prefix}/include"
-+
Index: patches/perl-5.14.2-Configure_multilib-1.patch
===================================================================
--- patches/perl-5.14.2-Configure_multilib-1.patch	(revision 35e7499393d6a5d5b81b95549e6275f61efe7325)
+++ patches/perl-5.14.2-Configure_multilib-1.patch	(revision 35e7499393d6a5d5b81b95549e6275f61efe7325)
@@ -0,0 +1,42 @@
+Submitted By: Ryan Oliver <ryan dot oliver at pha dot com dot au>
+Date: 2010-08-01
+Initial Package Version: 5.8.8
+Origin: Ryan Oliver
+Upstream Status: Unknown
+Description: This patch allows perl to be installed in /usr/lib32
+             or /usr/lib64 instead of /usr/lib.
+
+Rediffed: Against 5.10.0 by Joe Ciccone on 2008-08-30
+          Against 5.10.1 By Jim Gifford on 2009-08-25
+          Against 5.12.1 By Joe Ciccone on 2010-08-01
+
+diff -Naur perl-5.12.1.orig/Configure perl-5.12.1/Configure
+--- perl-5.12.1.orig/Configure	2010-05-13 18:01:07.000000000 -0400
++++ perl-5.12.1/Configure	2010-08-01 18:18:19.614326794 -0400
+@@ -6254,6 +6254,8 @@
+ : The default "style" setting is made in installstyle.U
+ case "$installstyle" in
+ *lib/perl5*) set dflt privlib lib/$package/$version ;;
++*lib32/perl5*) set dflt privlib lib32/$package/$version ;;
++*lib64/perl5*) set dflt privlib lib64/$package/$version ;;
+ *)	 set dflt privlib lib/$version ;;
+ esac
+ eval $prefixit
+@@ -6502,6 +6504,8 @@
+ case "$sitelib" in
+ '') case "$installstyle" in
+ 	*lib/perl5*) dflt=$siteprefix/lib/$package/site_$prog/$version ;;
++	*lib32/perl5*) dflt=$siteprefix/lib32/$package/site_$prog/$version ;;
++	*lib64/perl5*) dflt=$siteprefix/lib64/$package/site_$prog/$version ;;
+ 	*)	 dflt=$siteprefix/lib/site_$prog/$version ;;
+ 	esac
+ 	;;
+@@ -7020,6 +7024,8 @@
+ 		prog=`echo $package | $sed 's/-*[0-9.]*$//'`
+ 		case "$installstyle" in
+ 		*lib/perl5*) dflt=$vendorprefix/lib/$package/vendor_$prog/$version ;;
++		*lib32/perl5*) dflt=$vendorprefix/lib32/$package/vendor_$prog/$version ;;
++		*lib64/perl5*) dflt=$vendorprefix/lib64/$package/vendor_$prog/$version ;;
+ 		*)	     dflt=$vendorprefix/lib/vendor_$prog/$version ;;
+ 		esac
+ 		;;
Index: patches/perl-5.14.2-libc-1.patch
===================================================================
--- patches/perl-5.14.2-libc-1.patch	(revision 35e7499393d6a5d5b81b95549e6275f61efe7325)
+++ patches/perl-5.14.2-libc-1.patch	(revision 35e7499393d6a5d5b81b95549e6275f61efe7325)
@@ -0,0 +1,39 @@
+Submitted By: Jonathan Norman <Jonathan at bluesquarelinux.co.uk>
+Date: 2011-05-17
+Initial Package Version: 5.8.8
+Origin: Ryan Oliver
+Upstream Status: Unknown
+Description: This patch adapts some hard-wired paths to the C library.
+             It uses the $prefix variable to locate the correct libc.
+
+Rediffed: Against 5.10.0 by Joe Ciccone on 2008-08-30
+          Against 5.10.1 By Jim Gifford on 2009-08-25
+          Against 5.12.1 By Joe Ciccone on 2010-08-01
+          Against 5.14.0 By Jonathan Norman on 2011-05-17
+
+diff -Naur perl-5.14.0.orig/hints/linux.sh perl-5.14.0/hints/linux.sh
+--- perl-5.14.0.orig/hints/linux.sh	2011-05-17 10:15:25.836817125 +0000
++++ perl-5.14.0/hints/linux.sh	2011-05-17 10:17:15.472650338 +0000
+@@ -63,9 +63,9 @@
+ # We don't use __GLIBC__ and  __GLIBC_MINOR__ because they
+ # are insufficiently precise to distinguish things like
+ # libc-2.0.6 and libc-2.0.7.
+-if test -L /lib/libc.so.6; then
+-    libc=`ls -l /lib/libc.so.6 | awk '{print $NF}'`
+-    libc=/lib/$libc
++if test -L ${prefix}/lib/libc.so.6; then
++    libc=`ls -l ${prefix}/lib/libc.so.6 | awk '{print $NF}'`
++    libc=${prefix}/lib/$libc
+ fi
+ 
+ # Configure may fail to find lstat() since it's a static/inline
+@@ -461,3 +461,9 @@
+     libswanted="$libswanted pthread"
+     ;;
+ esac
++
++locincpth=""
++loclibpth=""
++glibpth="${prefix}/lib"
++usrinc="${prefix}/include"
++