Index: BOOK/final-system/multilib/iproute2.xml
===================================================================
--- BOOK/final-system/multilib/iproute2.xml	(revision e671c085ff5dd927e8eefe100fd7801c7b8ecf1a)
+++ BOOK/final-system/multilib/iproute2.xml	(revision 38f82f91a8300a641aab2e12c7b7dcfe042ff95f)
@@ -30,9 +30,13 @@
     xpointer="xpointer(//*[@os='s2'])"/>
 
+    <para os="p1">This patch adds the ability to update the LIBDIR path:</para>
+
+<screen os="p2"><userinput>patch -Np1 -i ../&iproute2-tclibdir-patch;</userinput></screen>
+
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/iproute2.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="b"><userinput>make CC="gcc ${BUILD64}" SBINDIR=/sbin</userinput></screen>
+<screen os="b"><userinput>make CC="gcc ${BUILD64}" LIBDIR=/usr/lib64 SBINDIR=/sbin</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -48,7 +52,5 @@
     xpointer="xpointer(//*[@os='e'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/iproute2.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
+<screen os="f"><userinput>make LIBDIR=/usr/lib64 SBINDIR=/sbin install</userinput></screen>
 
   </sect2>
Index: BOOK/materials/mips64/patches.xml
===================================================================
--- BOOK/materials/mips64/patches.xml	(revision e671c085ff5dd927e8eefe100fd7801c7b8ecf1a)
+++ BOOK/materials/mips64/patches.xml	(revision 38f82f91a8300a641aab2e12c7b7dcfe042ff95f)
@@ -50,4 +50,8 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86_64/patches.xml"
+    xpointer="xpointer(//*[@os='iproute2-tclibdir-patch'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../mips/patches.xml"
     xpointer="xpointer(//*[@os='linux-mips-patch'])"/>
Index: BOOK/materials/ppc64/patches.xml
===================================================================
--- BOOK/materials/ppc64/patches.xml	(revision e671c085ff5dd927e8eefe100fd7801c7b8ecf1a)
+++ BOOK/materials/ppc64/patches.xml	(revision 38f82f91a8300a641aab2e12c7b7dcfe042ff95f)
@@ -54,4 +54,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86_64/patches.xml"
+    xpointer="xpointer(//*[@os='iproute2-tclibdir-patch'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86_64/patches.xml"
     xpointer="xpointer(//*[@os='perl-multilib-patch'])"/>
 
Index: BOOK/materials/sparc64/patches.xml
===================================================================
--- BOOK/materials/sparc64/patches.xml	(revision e671c085ff5dd927e8eefe100fd7801c7b8ecf1a)
+++ BOOK/materials/sparc64/patches.xml	(revision 38f82f91a8300a641aab2e12c7b7dcfe042ff95f)
@@ -30,4 +30,8 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86_64/patches.xml"
+    xpointer="xpointer(//*[@os='iproute2-tclibdir-patch'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../sparc/patches.xml"
     xpointer="xpointer(//*[@os='kbd-sparc_kbdrate-patch'])"/>
Index: BOOK/materials/x86_64/patches.xml
===================================================================
--- BOOK/materials/x86_64/patches.xml	(revision e671c085ff5dd927e8eefe100fd7801c7b8ecf1a)
+++ BOOK/materials/x86_64/patches.xml	(revision 38f82f91a8300a641aab2e12c7b7dcfe042ff95f)
@@ -39,4 +39,13 @@
     </varlistentry>
 
+    <varlistentry os="iproute2-tclibdir-patch">
+      <term>IPRoute2 Lib64 Patch - <token>&iproute2-tclibdir-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink
+        url="&patches-root;&iproute2-tclibdir-patch;"/></para>
+        <para>MD5 sum: <literal>&iproute2-tclibdir-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
     <varlistentry os="perl-multilib-patch">
       <term>Perl Configure Multilib Patch - <token>&perl-multilib-patch-size;</token>:</term>
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision e671c085ff5dd927e8eefe100fd7801c7b8ecf1a)
+++ BOOK/patches.ent	(revision 38f82f91a8300a641aab2e12c7b7dcfe042ff95f)
@@ -155,4 +155,8 @@
 <!ENTITY binutils-multilib-patch-size "2.6 KB">
 
+<!ENTITY iproute2-tclibdir-patch "iproute2-&iproute2-version;-tc_libdir-1.patch">
+<!ENTITY iproute2-tclibdir-patch-md5 "f34d6c0300cde64b42d2be74753ec415">
+<!ENTITY iproute2-tclibdir-patch-size "4 KB">
+
 <!ENTITY perl-multilib-patch "perl-&perl-version;-Configure_multilib-1.patch">
 <!ENTITY perl-multilib-patch-md5 "1f79780e26bc3493f7891e12841c38ed">