Index: tches/perl-5.18.1-Configure_multilib-1.patch
===================================================================
--- patches/perl-5.18.1-Configure_multilib-1.patch	(revision 872ee2bca181b9aaf9b931f56a224f2afb64f105)
+++ 	(revision )
@@ -1,47 +1,0 @@
-Submitted By: Ryan Oliver <ryan dot oliver at pha dot com dot au>
-Date: 2013-08-13
-Initial Package Version: 5.8.8
-Origin: Ryan Oliver
-Upstream Status: Unknown
-Description: This patch allows perl to be installed in /usr/lib32
-             or /usr/lib64 instead of /usr/lib.
-
-Rediffed: Against 5.10.0 by Joe Ciccone on 2008-08-30
-          Against 5.10.1 By Jim Gifford on 2009-08-25
-          Against 5.12.1 By Joe Ciccone on 2010-08-01
-          Against 5.16.1 By William Harrington on 2012-08-26
-Rename for 5.16.2 by William Harrington on 2012-11-01
-
-Rediffed: Against 5.18.0 by William Harrington on 2013-05-28
-Rediffed: Against 5.18.1 by William Harrington on 2013-08-13
-
-diff -Naur perl-5.18.1.orig/Configure perl-5.18.1/Configure
---- perl-5.18.1.orig/Configure	2013-08-12 02:44:47.000000000 +0000
-+++ perl-5.18.1/Configure	2013-08-13 16:47:20.188650223 +0000
-@@ -6219,6 +6219,8 @@
- : The default "style" setting is made in installstyle.U
- case "$installstyle" in
- *lib/perl5*) set dflt privlib lib/$package/$version ;;
-+*lib32/perl5*) set dflt privlib lib32/$package/$version ;;
-+*lib64/perl5*) set dflt privlib lib64/$package/$version ;;
- *)	 set dflt privlib lib/$version ;;
- esac
- eval $prefixit
-@@ -6467,6 +6469,8 @@
- case "$sitelib" in
- '') case "$installstyle" in
- 	*lib/perl5*) dflt=$siteprefix/lib/$package/site_$prog/$version ;;
-+	*lib32/perl5*) dflt=$siteprefix/lib32/$package/site_$prog/$version ;;
-+	*lib64/perl5*) dflt=$siteprefix/lib64/$package/site_$prog/$version ;;
- 	*)	 dflt=$siteprefix/lib/site_$prog/$version ;;
- 	esac
- 	;;
-@@ -6986,6 +6990,8 @@
- 		prog=`echo $package | $sed 's/-*[0-9.]*$//'`
- 		case "$installstyle" in
- 		*lib/perl5*) dflt=$vendorprefix/lib/$package/vendor_$prog/$version ;;
-+		*lib32/perl5*) dflt=$vendorprefix/lib32/$package/vendor_$prog/$version ;;
-+		*lib64/perl5*) dflt=$vendorprefix/lib64/$package/vendor_$prog/$version ;;
- 		*)	     dflt=$vendorprefix/lib/vendor_$prog/$version ;;
- 		esac
- 		;;
Index: tches/perl-5.18.1-libc-1.patch
===================================================================
--- patches/perl-5.18.1-libc-1.patch	(revision 872ee2bca181b9aaf9b931f56a224f2afb64f105)
+++ 	(revision )
@@ -1,44 +1,0 @@
-Submitted By: Jonathan Norman <Jonathan at bluesquarelinux.co.uk>
-Date: 2013-08-13
-Initial Package Version: 5.8.8
-Origin: Ryan Oliver
-Upstream Status: Unknown
-Description: This patch adapts some hard-wired paths to the C library.
-             It uses the $prefix variable to locate the correct libc.
-
-Rediffed: Against 5.10.0 by Joe Ciccone on 2008-08-30
-          Against 5.10.1 By Jim Gifford on 2009-08-25
-          Against 5.12.1 By Joe Ciccone on 2010-08-01
-          Against 5.14.0 By Jonathan Norman on 2011-05-17
-          Against 5.16.1 by William Harrington on 2012-08-26
-Rename for 5.16.2 by William Harrington on 2012-11-01
-
-Rediffed: Against 5.18.0 by William Harrington on 2013-05-27
-Rediffed: Against 5.18.1 by William Harrington on 2013-08-13
-
-diff -Naur perl-5.18.1.orig/hints/linux.sh perl-5.18.1/hints/linux.sh
---- perl-5.18.1.orig/hints/linux.sh	2013-08-12 02:44:48.000000000 +0000
-+++ perl-5.18.1/hints/linux.sh	2013-08-13 16:46:38.594653439 +0000
-@@ -66,9 +66,9 @@
- # We don't use __GLIBC__ and  __GLIBC_MINOR__ because they
- # are insufficiently precise to distinguish things like
- # libc-2.0.6 and libc-2.0.7.
--if test -L /lib/libc.so.6; then
--    libc=`ls -l /lib/libc.so.6 | awk '{print $NF}'`
--    libc=/lib/$libc
-+if test -L ${prefix}/lib/libc.so.6; then
-+    libc=`ls -l ${prefix}/lib/libc.so.6 | awk '{print $NF}'`
-+    libc=${prefix}/lib/$libc
- fi
- 
- # Configure may fail to find lstat() since it's a static/inline
-@@ -456,3 +456,9 @@
-     libswanted="$libswanted pthread"
-     ;;
- esac
-+
-+locincpth=""
-+loclibpth=""
-+glibpth="${prefix}/lib"
-+usrinc="${prefix}/include"
-+