Index: final-system/alpha-chapter.xml
===================================================================
--- final-system/alpha-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/alpha-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/common/tree.xml
===================================================================
--- final-system/common/tree.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
+++ final-system/common/tree.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -0,0 +1,82 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-tree" role="wrap">
+  <?dbhtml filename="tree.html"?>
+
+  <title>Tree-&tree-version;</title>
+
+  <indexterm zone="ch-system-tree">
+    <primary sortas="a-Tree">Tree</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Tree package contains a program for compiling packages.</para>
+
+    <segmentedlist>
+      <segtitle>&dependencies;</segtitle>
+
+      <seglistitem>
+        <seg>GCC and Coreutils</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Tree</title>
+
+    <para os="a">Prepare Tree for compilation:</para>
+
+<screen os="b"><userinput>./configure --prefix=/usr</userinput></screen>
+
+    <para os="c">Compile the package:</para>
+
+<screen os="d"><userinput>make</userinput></screen>
+
+    <para os="e">To test the results, issue:
+    <userinput>make check</userinput>.</para>
+
+    <para os="f">Install the package:</para>
+
+<screen os="g"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="contents-tree" role="content">
+    <title>Contents of Tree</title>
+
+    <segmentedlist>
+      <segtitle>Installed program</segtitle>
+
+      <seglistitem>
+        <seg>tree</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="tree">
+        <term><command>tree</command></term>
+        <listitem>
+          <para>Tree will list contents of directories in a tree-like format.</para>
+          <indexterm zone="ch-system-tree tree">
+            <primary sortas="b-tree">tree</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: final-system/common/udev.xml
===================================================================
--- final-system/common/udev.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/common/udev.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -25,5 +25,5 @@
 
       <seglistitem>
-        <seg>Coreutils and Make</seg>
+        <seg>Coreutils, Make, and Tree</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/mips-chapter.xml
===================================================================
--- final-system/mips-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/mips-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/mips64-64-chapter.xml
===================================================================
--- final-system/mips64-64-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/mips64-64-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/mips64-chapter.xml
===================================================================
--- final-system/mips64-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/mips64-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -85,4 +85,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/ppc-chapter.xml
===================================================================
--- final-system/ppc-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/ppc-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/sparc-chapter.xml
===================================================================
--- final-system/sparc-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/sparc-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/sparc64-64-chapter.xml
===================================================================
--- final-system/sparc64-64-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/sparc64-64-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/sparc64-chapter.xml
===================================================================
--- final-system/sparc64-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/sparc64-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -73,4 +73,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/sparcv8-chapter.xml
===================================================================
--- final-system/sparcv8-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/sparcv8-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/x86-chapter.xml
===================================================================
--- final-system/x86-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/x86-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/x86_64-64-chapter.xml
===================================================================
--- final-system/x86_64-64-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/x86_64-64-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -61,4 +61,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: final-system/x86_64-chapter.xml
===================================================================
--- final-system/x86_64-chapter.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ final-system/x86_64-chapter.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -73,4 +73,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tree.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hotplug.xml"/>
Index: introduction/common/changelog.xml
===================================================================
--- introduction/common/changelog.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ introduction/common/changelog.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -47,4 +47,7 @@
           <para>[jim] - Updated to Man-Pages 2.17.</para>
         </listitem>
+        <listitem>
+          <para>[jim] - Added Tree 1.5.0. Added for the udev testsuite.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: materials/common/packages.xml
===================================================================
--- materials/common/packages.xml	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ materials/common/packages.xml	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -290,40 +290,40 @@
     </varlistentry>
 
+    <varlistentry os="an">
+      <term>Ncurses (&ncurses-version;) - &ncurses-size;:</term>
+      <listitem>
+        <para><ulink url="&ncurses-url;"/></para>
+      </listitem>
+    </varlistentry>
+
     <varlistentry os="ao">
-      <term>Ncurses (&ncurses-version;) - &ncurses-size;:</term>
-      <listitem>
-        <para><ulink url="&ncurses-url;"/></para>
+      <term>Patch (&patch-version;) - &patch-size;:</term>
+      <listitem>
+        <para><ulink url="&patch-url;"/></para>
       </listitem>
     </varlistentry>
 
     <varlistentry os="ap">
-      <term>Patch (&patch-version;) - &patch-size;:</term>
-      <listitem>
-        <para><ulink url="&patch-url;"/></para>
+      <term>Perl (&perl-version;) - &perl-size;:</term>
+      <listitem>
+        <para><ulink url="&perl-url;"/></para>
       </listitem>
     </varlistentry>
 
     <varlistentry os="aq">
-      <term>Perl (&perl-version;) - &perl-size;:</term>
-      <listitem>
-        <para><ulink url="&perl-url;"/></para>
+      <term>Procps (&procps-version;) - &procps-size;:</term>
+      <listitem>
+        <para><ulink url="&procps-url;"/></para>
       </listitem>
     </varlistentry>
 
     <varlistentry os="ar">
-      <term>Procps (&procps-version;) - &procps-size;:</term>
-      <listitem>
-        <para><ulink url="&procps-url;"/></para>
+      <term>Psmisc (&psmisc-version;) - &psmisc-size;:</term>
+      <listitem>
+        <para><ulink url="&psmisc-url;"/></para>
       </listitem>
     </varlistentry>
 
     <varlistentry os="as">
-      <term>Psmisc (&psmisc-version;) - &psmisc-size;:</term>
-      <listitem>
-        <para><ulink url="&psmisc-url;"/></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry os="at">
       <term>Readline (&readline-version;) - &readline-size;:</term>
       <listitem>
@@ -333,12 +333,12 @@
     </varlistentry>
 
+    <varlistentry os="at">
+      <term>Sed (&sed-version;) - &sed-size;:</term>
+      <listitem>
+        <para><ulink url="&sed-url;"/></para>
+      </listitem>
+    </varlistentry>
+
     <varlistentry os="au">
-      <term>Sed (&sed-version;) - &sed-size;:</term>
-      <listitem>
-        <para><ulink url="&sed-url;"/></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry os="av">
       <term>Shadow (&shadow-version;) - &shadow-size;:</term>
       <listitem>
@@ -356,29 +356,36 @@
     </varlistentry>
 
+    <varlistentry os="av">
+      <term>Sysklogd (&sysklogd-version;) - &sysklogd-size;:</term>
+      <listitem>
+        <para><ulink url="&sysklogd-url;"/></para>
+      </listitem>
+    </varlistentry>
+
     <varlistentry os="aw">
-      <term>Sysklogd (&sysklogd-version;) - &sysklogd-size;:</term>
-      <listitem>
-        <para><ulink url="&sysklogd-url;"/></para>
+      <term>Sysvinit (&sysvinit-version;) - &sysvinit-size;:</term>
+      <listitem>
+        <para><ulink url="&sysvinit-url;"/></para>
       </listitem>
     </varlistentry>
 
     <varlistentry os="ax">
-      <term>Sysvinit (&sysvinit-version;) - &sysvinit-size;:</term>
-      <listitem>
-        <para><ulink url="&sysvinit-url;"/></para>
+      <term>Tar (&tar-version;) - &tar-size;:</term>
+      <listitem>
+        <para><ulink url="&tar-url;"/></para>
       </listitem>
     </varlistentry>
 
     <varlistentry os="ay">
-      <term>Tar (&tar-version;) - &tar-size;:</term>
-      <listitem>
-        <para><ulink url="&tar-url;"/></para>
+      <term>Tcl (&tcl-version;) - &tcl-size;:</term>
+      <listitem>
+        <para><ulink url="&tcl-url;"/></para>
       </listitem>
     </varlistentry>
 
     <varlistentry os="az">
-      <term>Tcl (&tcl-version;) - &tcl-size;:</term>
-      <listitem>
-        <para><ulink url="&tcl-url;"/></para>
+      <term>Texinfo (&texinfo-version;) - &texinfo-size;:</term>
+      <listitem>
+        <para><ulink url="&texinfo-url;"/></para>
       </listitem>
     </varlistentry>
Index: packages.ent
===================================================================
--- packages.ent	(revision f4346f42c267503bccdda17385b6c9cd9522ac0e)
+++ packages.ent	(revision 43c3da5999f0231e8b931c04043b5ffbcb820560)
@@ -254,4 +254,8 @@
 <!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.bz2">
 
+<!ENTITY tree-version "1.5.0">
+<!ENTITY tree-size "26 KB">
+<!ENTITY tree-url "ftp://mama.indstate.edu/linux/tree/tree-&tree-version;.tgz">
+
 <!ENTITY udev-version "076">
 <!ENTITY udev-size "217 KB">