Index: OK/boot/64/util-linux.xml
===================================================================
--- BOOK/boot/64/util-linux.xml	(revision ba2a6ce0696cdd97cf4b0b48463439579b48818d)
+++ 	(revision )
@@ -1,64 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-boot-util-linux" role="wrap">
-  <?dbhtml filename="util-linux.html"?>
-
-  <title>Util-linux-&util-linux-version;</title>
-
-  <indexterm zone="ch-boot-util-linux">
-    <primary sortas="a-Util-linux">Util-linux</primary>
-    <secondary>boot</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/util-linux.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Util-linux</title>
-    
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="be"><userinput>CC="${CC} ${BUILD64}" PKG_CONFIG= \
-  ./configure --prefix=/tools --exec-prefix=/tools \
-    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
-    --disable-makeinstall-chown</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-util-linux" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/boot/common/util-linux.xml
===================================================================
--- BOOK/boot/common/util-linux.xml	(revision ba2a6ce0696cdd97cf4b0b48463439579b48818d)
+++ 	(revision )
@@ -1,69 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-boot-util-linux" role="wrap">
-  <?dbhtml filename="util-linux.html"?>
-
-  <title>Util-linux-&util-linux-version;</title>
-
-  <indexterm zone="ch-boot-util-linux">
-    <primary sortas="a-Util-linux">Util-linux</primary>
-    <secondary>boot</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/util-linux.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Util-linux</title>
-    
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/util-linux.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>PKG_CONFIG= \
-  ./configure --prefix=/tools --exec-prefix=/tools \
-    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
-    --disable-makeinstall-chown</userinput></screen>
-
-    <variablelist os="c">
-      <title>The meaning of the new configure option:</title>
-
-      <varlistentry>
-        <term><parameter>--disable-makeinstall-chown</parameter></term>
-        <listitem>
-          <para>This prevents Util-linux from trying to perform any
-          chown commands when it is installed.</para>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/util-linux.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-<screen os="e"><userinput>make</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/util-linux.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-<screen os="h"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-util-linux" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/boot/multilib/util-linux.xml
===================================================================
--- BOOK/boot/multilib/util-linux.xml	(revision ba2a6ce0696cdd97cf4b0b48463439579b48818d)
+++ 	(revision )
@@ -1,62 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-boot-util-linux" role="wrap">
-  <?dbhtml filename="util-linux.html"?>
-
-  <title>Util-linux-&util-linux-version;</title>
-
-  <indexterm zone="ch-boot-util-linux">
-    <primary sortas="a-Util-linux">Util-linux</primary>
-    <secondary>boot</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/util-linux.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Util-linux</title>
-    
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="be"><userinput>CC="${CC} ${BUILD64}" PKG_CONFIG= ./configure \
-    --prefix=/tools --exec-prefix="" --build=${CLFS_HOST} \
-    --host=${CLFS_TARGET} --libdir=/tools/lib64 --bindir=/tools/bin \
-    --sbindir=/tools/sbin --disable-makeinstall-chown</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-<screen os="h"><userinput>make usrsbin_execdir=/tools/sbin usrbin_execdir=/tools/bin install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-util-linux" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/chroot/common/util-linux.xml
===================================================================
--- BOOK/chroot/common/util-linux.xml	(revision ba2a6ce0696cdd97cf4b0b48463439579b48818d)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-chroot-util-linux" role="wrap">
-  <?dbhtml filename="util-linux.html"?>
-
-  <title>Util-linux-&util-linux-version;</title>
-
-  <indexterm zone="ch-chroot-util-linux">
-    <primary sortas="a-Util-linux">Util-linux</primary>
-    <secondary>chroot</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/util-linux.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Util-linux</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/util-linux.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>PKG_CONFIG= ./configure --prefix=/tools \
-    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
-    --disable-makeinstall-chown</userinput></screen>
-
-    <variablelist os="c">
-      <title>The meaning of the new configure option:</title>
-
-      <varlistentry>
-        <term><parameter>--disable-makeinstall-chown</parameter></term>
-        <listitem>
-          <para>This prevents Util-linux from trying to perform any
-          chown commands when it is installed.</para>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/util-linux.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-<screen os="e"><userinput>make</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/util-linux.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-<screen os="h"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-util-linux" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/chroot/multilib/util-linux.xml
===================================================================
--- BOOK/chroot/multilib/util-linux.xml	(revision ba2a6ce0696cdd97cf4b0b48463439579b48818d)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-chroot-util-linux" role="wrap">
-  <?dbhtml filename="util-linux.html"?>
-
-  <title>Util-linux-&util-linux-version;</title>
-
-  <indexterm zone="ch-chroot-util-linux">
-    <primary sortas="a-Util-linux">Util-linux</primary>
-    <secondary>chroot</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/util-linux.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Util-linux</title>
-    
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="be"><userinput>CC="${CC} ${BUILD64}" PKG_CONFIG= ./configure --prefix=/tools \
-    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
-    --disable-makeinstall-chown</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/util-linux.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-util-linux" role="."/></para>
-
-  </sect2>
-
-</sect1>