Index: final-system/common/perl.xml
===================================================================
--- final-system/common/perl.xml	(revision c2603e69906144e25e8d3e62db097b3362abe445)
+++ final-system/common/perl.xml	(revision 47dbf9ad8c5eb30f196d61beda6ae81afa13c01f)
@@ -33,20 +33,18 @@
     -e "s@static_target='static'@static_target='static_pic'@g" Makefile.SH</userinput></screen>
 
-    <para os="a00">Before starting to configure, create a basic
+    <note os="a00">
+      <para>If you are following the boot method you will need to enable the
+      loopback device as well as set a hostname for some of the tests:</para>
+
+      <screen><userinput>ip link set lo up
+hostname clfs</userinput></screen>
+    </note>
+
+    <para os="a01">Before starting to configure, create a basic
     <filename>/etc/hosts</filename> file which will be referenced in one
     of Perl's configuration files as well as being used used by the testsuite
     if you run that:</para>
 
-<screen os="a01"><userinput>echo "127.0.0.1 localhost clfs" &gt; /etc/hosts</userinput></screen>
-
-    <para os="a02">We also have to enable the loopback interface, this
-    will prevent some perl networking testsuite failures:</para>
-
-<screen os="a03"><userinput>ip link set lo up</userinput></screen>
-
-    <para os="a04">We also have to set the hostname for some of the
-    test:</para>
-
-<screen os="a05"><userinput>hostname clfs</userinput></screen>
+<screen os="a02"><userinput>echo "127.0.0.1 localhost $(hostname)" &gt; /etc/hosts</userinput></screen>
 
     <para os="a">To have full control over the way Perl is set up, you can
Index: final-system/multilib/perl-64bit.xml
===================================================================
--- final-system/multilib/perl-64bit.xml	(revision c2603e69906144e25e8d3e62db097b3362abe445)
+++ final-system/multilib/perl-64bit.xml	(revision 47dbf9ad8c5eb30f196d61beda6ae81afa13c01f)
@@ -45,28 +45,4 @@
 
 <screen os="m3"><userinput>echo 'installstyle="lib64/perl5"' >>hints/linux.sh</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a00'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a01'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a02'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a03'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a04'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a05'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: final-system/multilib/perl-n32.xml
===================================================================
--- final-system/multilib/perl-n32.xml	(revision c2603e69906144e25e8d3e62db097b3362abe445)
+++ final-system/multilib/perl-n32.xml	(revision 47dbf9ad8c5eb30f196d61beda6ae81afa13c01f)
@@ -48,28 +48,4 @@
 
 <screen os="m3"><userinput>echo 'installstyle="lib32/perl5"' >>hints/linux.sh</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a00'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a01'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a02'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a03'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a04'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a05'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: final-system/multilib/perl.xml
===================================================================
--- final-system/multilib/perl.xml	(revision c2603e69906144e25e8d3e62db097b3362abe445)
+++ final-system/multilib/perl.xml	(revision 47dbf9ad8c5eb30f196d61beda6ae81afa13c01f)
@@ -42,16 +42,4 @@
     href="../common/perl.xml"
     xpointer="xpointer(//*[@os='a02'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a03'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a04'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/perl.xml"
-    xpointer="xpointer(//*[@os='a05'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"