Index: BOOK/bootscripts/mips64-64-chapter.xml
===================================================================
--- BOOK/bootscripts/mips64-64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
+++ BOOK/bootscripts/mips64-64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<chapter id="chapter-bootscripts" xreflabel="Setting Up System Bootscripts">
+  <?dbhtml dir="bootscripts"?>
+  <?dbhtml filename="chapter.html"?>
+
+  <title>Setting Up System Bootscripts</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/setclock.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/console.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sysklogd.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/profile.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hostname.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hosts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/symlinks.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/network.xml"/>
+
+</chapter>
Index: BOOK/bootscripts/mips64-chapter.xml
===================================================================
--- BOOK/bootscripts/mips64-chapter.xml	(revision 693a6478c99aee5e3ffff8d0e744a57e245ad6d7)
+++ BOOK/bootscripts/mips64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -14,5 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: BOOK/bootscripts/multilib/udev-rules.xml
===================================================================
--- BOOK/bootscripts/multilib/udev-rules.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
+++ BOOK/bootscripts/multilib/udev-rules.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-scripts-udev-rules" role="wrap">
+  <?dbhtml filename="udev-rules.html"?>
+
+  <title>Udev Rules-&udev-cross-lfs-version;</title>
+
+  <indexterm zone="ch-scripts-udev-rules">
+    <primary sortas="a-Udev Rules">Udev Rules</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Udev Cross-LFS rules package contains the necessary
+    rules set for a basic functional system.</para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Udev-Rules</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/udev-rules.xml"
+    xpointer="xpointer(//*[@os='a'])"/>
+
+<screen os="b"><userinput>make LIBDIR=lib64 install</userinput></screen>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/udev-rules.xml"
+  xpointer="xpointer(id('contents-udev-rules'))"/>
+
+</sect1>
+
+
Index: BOOK/bootscripts/ppc64-chapter.xml
===================================================================
--- BOOK/bootscripts/ppc64-chapter.xml	(revision 693a6478c99aee5e3ffff8d0e744a57e245ad6d7)
+++ BOOK/bootscripts/ppc64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -14,5 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: BOOK/bootscripts/sparc64-64-chapter.xml
===================================================================
--- BOOK/bootscripts/sparc64-64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
+++ BOOK/bootscripts/sparc64-64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<chapter id="chapter-bootscripts" xreflabel="Setting Up System Bootscripts">
+  <?dbhtml dir="bootscripts"?>
+  <?dbhtml filename="chapter.html"?>
+
+  <title>Setting Up System Bootscripts</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/setclock.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/console.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sysklogd.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/profile.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hostname.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hosts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/symlinks.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/network.xml"/>
+
+</chapter>
Index: BOOK/bootscripts/sparc64-chapter.xml
===================================================================
--- BOOK/bootscripts/sparc64-chapter.xml	(revision 693a6478c99aee5e3ffff8d0e744a57e245ad6d7)
+++ BOOK/bootscripts/sparc64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -14,5 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: BOOK/bootscripts/x86_64-64-chapter.xml
===================================================================
--- BOOK/bootscripts/x86_64-64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
+++ BOOK/bootscripts/x86_64-64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<chapter id="chapter-bootscripts" xreflabel="Setting Up System Bootscripts">
+  <?dbhtml dir="bootscripts"?>
+  <?dbhtml filename="chapter.html"?>
+
+  <title>Setting Up System Bootscripts</title>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/setclock.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/console.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sysklogd.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inputrc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/profile.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hostname.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/hosts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/symlinks.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/network.xml"/>
+
+</chapter>
Index: BOOK/bootscripts/x86_64-chapter.xml
===================================================================
--- BOOK/bootscripts/x86_64-chapter.xml	(revision 693a6478c99aee5e3ffff8d0e744a57e245ad6d7)
+++ BOOK/bootscripts/x86_64-chapter.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -14,5 +14,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev-rules.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev-rules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/usage.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/udev.xml"/>
Index: BOOK/mips64-64-index.xml
===================================================================
--- BOOK/mips64-64-index.xml	(revision 693a6478c99aee5e3ffff8d0e744a57e245ad6d7)
+++ BOOK/mips64-64-index.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -59,5 +59,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="testsuite-tools/mips64-64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/mips64-64-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/mips64-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/mips64-64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/mips64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 693a6478c99aee5e3ffff8d0e744a57e245ad6d7)
+++ BOOK/packages.ent	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -401,8 +401,8 @@
 <!ENTITY udev-home "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html">
 
-<!ENTITY udev-cross-lfs-version "1.1-08272006">
+<!ENTITY udev-cross-lfs-version "1.1-09062006">
 <!ENTITY udev-cross-lfs-size "12 KB">
 <!ENTITY udev-cross-lfs-url "&packages-root;udev-cross-lfs-&udev-cross-lfs-version;.tar.bz2">
-<!ENTITY udev-cross-lfs-md5 "09898d04216bc9bde58bc89d147c33ee">
+<!ENTITY udev-cross-lfs-md5 "b14319759e8bb215f99cbc3ca99c10d8">
 <!ENTITY udev-cross-lfs-home " ">
 
Index: BOOK/sparc64-64-index.xml
===================================================================
--- BOOK/sparc64-64-index.xml	(revision 693a6478c99aee5e3ffff8d0e744a57e245ad6d7)
+++ BOOK/sparc64-64-index.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -61,5 +61,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="testsuite-tools/sparc64-64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/sparc64-64-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/sparc64-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/sparc64-64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/sparc-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>
Index: BOOK/x86_64-64-index.xml
===================================================================
--- BOOK/x86_64-64-index.xml	(revision 693a6478c99aee5e3ffff8d0e744a57e245ad6d7)
+++ BOOK/x86_64-64-index.xml	(revision 48df1f5a5ca3c2084b52c465a04b211535b916d0)
@@ -61,5 +61,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="testsuite-tools/x86_64-64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/x86_64-64-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/x86_64-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/x86_64-64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/x86_64-64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>